## python-django 4.2.11

=== debian/changelog ===
python-django (3:4.2.11-1ubuntu1.11) noble-security; urgency=medium

  * SECURITY UPDATE: Potential SQL injection
    - debian/patches/CVE-2025-59681.patch: protect against SQL injection in
      django/db/models/sql/query.py, tests/aggregation/tests.py,
      tests/annotations/tests.py,
      tests/expressions/test_queryset_values.py, tests/queries/tests.py.
    - CVE-2025-59681
  * SECURITY UPDATE: Potential partial directory-traversal
    - debian/patches/CVE-2025-59682.patch: validate path in
      django/utils/archive.py, tests/utils_tests/test_archive.py.
    - CVE-2025-59682

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 24 Sep 2025 12:27:58 -0400

python-django (3:4.2.11-1ubuntu1.10) noble-security; urgency=medium

  * SECURITY UPDATE: SQL injection
    - debian/patches/CVE-2025-57833.patch: protected
      FilteredRelation against SQL injection in column
      aliases in django/db/models/sql/query.py,
      tests/annotations/tests.py.
    - debian/patches/skipping_tests.patch: skipping
      FTBFS tests test_strip_tags.
    - CVE-2025-57833

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 01 Sep 2025 07:55:12 -0300

python-django (3:4.2.11-1ubuntu1.9) noble-security; urgency=medium

  * SECURITY UPDATE: Prevented log injection
    - debian/patches/CVE-2025-48432-2.patch: prevented log injection in
      remaining response logging in django/views/generic/base.py,
      test/generic_views/test_base.py (LP: #2113924)

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 11 Jun 2025 08:22:34 -0300

python-django (3:4.2.11-1ubuntu1.8) noble-security; urgency=medium

  * SECURITY UPDATE: Log structure manipulation
    - debian/patches/CVE-2025-48432.patch: escape formatting
      arguments in log_response() in django/utils/log.py,
      tests/logging_tests/tests.py.
    - CVE-2025-48432

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Fri, 30 May 2025 07:59:51 -0300

python-django (3:4.2.11-1ubuntu1.7) noble-security; urgency=medium

  * SECURITY UPDATE: Denial of service in strip_tags()
    - debian/patches/CVE-2025-32873.patch: check tag depth in
      django/utils/html.py, tests/utils_tests/test_html.py.
    - CVE-2025-32873

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Apr 2025 10:33:48 -0400

python-django (3:4.2.11-1ubuntu1.6) noble-security; urgency=medium

  * SECURITY UPDATE: Denial of service.
    - debian/patches/CVE-2025-26699.patch: Change wrap to use textwrap library
      in ./django/utils/text.py.
    - CVE-2025-26699

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 28 Feb 2025 12:25:52 -0330

python-django (3:4.2.11-1ubuntu1.5) noble-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2024-56374.patch: mitigate potential
      DoS in IPv6 validation in django/db/models/fields/__init__.py.
      django/forms/fields.py, django/utils/ipv6.py,
      field_tests/test_genericipaddressfield.py,
      tests/utils_tests/test_ipv6.py.
    - CVE-2024-56374

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 08 Jan 2025 08:29:05 -0300

python-django (3:4.2.11-1ubuntu1.4) noble-security; urgency=medium

  * SECURITY UPDATE: Potential denial-of-service in
    django.utils.html.strip_tags()
    - debian/patches/CVE-2024-53907.patch: mitigated potential DoS in
      strip_tags() in django/utils/html.py, tests/utils_tests/test_html.py.
    - CVE-2024-53907
  * SECURITY UPDATE: Potential SQL injection in HasKey(lhs, rhs) on Oracle
    - debian/patches/CVE-2024-53908.patch: prevented SQL injections in
      direct HasKeyLookup usage on Oracle in
      django/db/models/fields/json.py,
      tests/model_fields/test_jsonfield.py.
    - CVE-2024-53908

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 27 Nov 2024 08:05:44 -0500

python-django (3:4.2.11-1ubuntu1.3) noble-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2024-45230.patch: mitigate
      potential DoS in urlize and urlizetrunc template filters
      in django/utils/html.py,
      tests/template_tests/filter_tests/test_urlize.py,
      tests/utils_tests/test_html.py.
    - CVE-2024-45230
  * SECURITY UPDATE: User email enumeration
    - debian/patches/CVE-2024-45231.patch: avoid
      server error on password reset when email sending fails
      in django/contrib/auth/forms.py,
      tests/auth_tests/test_forms.py,
      tests/mail/custombackend.py.
    - CVE-2024-45231

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 27 Aug 2024 10:54:30 -0300

python-django (3:4.2.11-1ubuntu1.2) noble-security; urgency=medium

  * SECURITY UPDATE: Memory exhaustion issue
    - debian/patches/CVE-2024-41989.patch: prevent excessive memory
      consumption in floatformat in django/template/defaultfilters.py,
      tests/template_tests/filter_tests/test_floatformat.py.
    - CVE-2024-41989
  * SECURITY UPDATE: DoS vulnerability in django.utils.html.urlize()
    - debian/patches/CVE-2024-41990.patch: mitigate potential DoS in urlize
      and urlizetrunc template filters in django/utils/html.py,
      tests/utils_tests/test_html.py.
    - CVE-2024-41990
  * SECURITY UPDATE: DoS vulnerability in django.utils.html.urlize() and
    AdminURLFieldWidget
    - debian/patches/CVE-2024-41991.patch: prevented potential ReDoS
      in django/contrib/admin/widgets.py, django/utils/html.py,
      tests/admin_widgets/tests.py, tests/utils_tests/test_html.py.
    - CVE-2024-41991
  * SECURITY UPDATE: SQL injection in QuerySet.values() and values_list()
    - debian/patches/CVE-2024-42005.patch: mitigate QuerySet.values() SQL
      injection attacks against JSON fields in
      django/db/models/sql/query.py, tests/expressions/models.py,
      tests/expressions/test_queryset_values.py.
    - CVE-2024-42005

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 31 Jul 2024 06:59:00 -0400

python-django (3:4.2.11-1ubuntu1.1) noble-security; urgency=medium


