=== debian/tests/control ===
Test-Command: debian/tests/django-admin
Depends:
 python3-django,

Test-Command: debian/tests/test-suite
Restrictions: allow-stderr
Depends:
 @,
 @builddeps@,
