## python-django 4.2.13

=== debian/changelog ===
python-django (3:4.2.13-1) unstable; urgency=medium

  * New upstream bugfix releases.
    <https://docs.djangoproject.com/en/5.0/releases/4.2.12/>
    <https://docs.djangoproject.com/en/5.0/releases/4.2.13/>

 -- Chris Lamb <lamby@debian.org>  Wed, 08 May 2024 11:28:44 +0100
