## python-django 4.2.17

=== debian/changelog ===
python-django (3:4.2.17-2) unstable; urgency=medium

  * Team upload.
  * Fix CommandTypes.test_help_default_options_with_custom_arguments test on
    Python 3.13+ (closes: #1082209).

 -- Colin Watson <cjwatson@debian.org>  Thu, 02 Jan 2025 15:36:58 +0000

python-django (3:4.2.17-1) unstable; urgency=medium

  * New upstream security release:

    - CVE-2024-53907: Potential DoS in django.utils.html.strip_tags.
      The strip_tags() method and striptags template filter were subject to a
      potential denial-of-service attack via certain inputs containing large
      sequences of nested incomplete HTML entities.

    - CVE-2024-53908: Potential SQL injection in HasKey(lhs, rhs) on Oracle
      Direct usage of the django.db.models.fields.json.HasKey lookup on Oracle
      was subject to SQL injection if untrusted data is used as a lhs value.
      Applications that use the jsonfield.has_key lookup through the __ syntax
      are unaffected.

    <https://www.djangoproject.com/weblog/2024/dec/04/security-releases/>

  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 04 Dec 2024 17:33:13 +0000

python-django (3:4.2.16-1) unstable; urgency=high

  * New upstream security release:

    - CVE-2024-45230: Potential denial-of-service vulnerability in
      django.utils.html.urlize(). urlize and urlizetrunc were subject to a
      potential denial-of-service attack via very large inputs with a specific
      sequence of characters.

    - CVE-2024-45231: Potential user email enumeration via response status on
      password reset. Due to unhandled email sending failures, the
      django.contrib.auth.forms.PasswordResetForm class allowed remote
      attackers to enumerate user emails by issuing password reset requests and
      observing the outcomes. To mitigate this risk, exceptions occurring
      during password reset email sending are now handled and logged using the
      django.contrib.auth logger.

  * Bump Standards-Version to 4.7.0.

 -- Chris Lamb <lamby@debian.org>  Tue, 03 Sep 2024 17:31:33 +0100
