## python-django 4.2.18

=== debian/changelog ===
python-django (3:4.2.18-1ubuntu1) plucky; urgency=medium

  * SECURITY UPDATE: Denial of service.
    - debian/patches/CVE-2025-26699.patch: Change wrap to use textwrap library
      in ./django/utils/text.py.
    - CVE-2025-26699

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 07 Mar 2025 09:49:59 -0330

python-django (3:4.2.18-1) unstable; urgency=high

  * New upstream security release. (Closes: #1093049)

    - CVE-2024-56374: Potential denial-of-service vulnerability in IPv6
      validation.

      A lack of upper bound limit enforcement in strings passed when performing
      IPv6 validation could have led to a potential denial-of-service (DoS)
      attack. The undocumented and private functions clean_ipv6_address and
      is_valid_ipv6_address were vulnerable, as was the GenericIPAddressField
      form field, which has now been updated to define a max_length of 39
      characters. The GenericIPAddressField model field was not affected.

    <https://www.djangoproject.com/weblog/2025/jan/14/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Wed, 15 Jan 2025 17:38:10 +0000
