## python-django 4.2.19

=== debian/changelog ===
python-django (3:4.2.19-1) unstable; urgency=medium

  * New upstream bugfix release.
    <https://www.djangoproject.com/weblog/2025/feb/05/bugfix-releases/>

 -- Chris Lamb <lamby@debian.org>  Wed, 05 Feb 2025 16:45:05 +0000
