## python-django 4.2.21

=== debian/changelog ===
python-django (3:4.2.21-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Colin Watson <cjwatson@debian.org>  Mon, 26 May 2025 01:50:04 +0100

python-django (3:4.2.21-1) unstable; urgency=medium

  * New upstream security release:

    - CVE-2025-32873: Denial-of-service possibility in strip_tags()

      django.utils.html.strip_tags() would be slow to evaluate certain inputs
      containing large sequences of incomplete HTML tags. This function is used
      to implement the striptags template filter, which was therefore also
      vulnerable. strip_tags() now raises a SuspiciousOperation exception if it
      encounters an unusually large number of unclosed opening tags.

      (Closes: #1104872)

    <https://www.djangoproject.com/weblog/2025/may/07/security-releases/>

  * Bump Standards-Version to 4.7.2.
  * Add pybuild-plugin-pyproject to Build-Depends.

 -- Chris Lamb <lamby@debian.org>  Fri, 09 May 2025 15:47:11 -0700
