=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>,
  Chris Lamb <lamby@debian.org>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  dpkg-dev (>= 1.17.14),
  libgdal-dev <!nocheck>,
  libsqlite3-mod-spatialite <!nocheck>,
+ pybuild-plugin-pyproject,
  python-django-formtools-doc <!nodoc>,
  python-psycopg2-doc <!nodoc>,
  python3-all,
