## python-django 4.2.23

=== debian/changelog ===
python-django (3:4.2.23-1) unstable; urgency=high

  * New upstream bugfix release. Quoting upstream:

      Following the June 4, 2025 security release [uploaded to Debian as
      3:4.2.22-1], the Django team is issuing releases [to] complete mitigation
      for CVE-2025-48432 […].

      These follow-up releases migrate remaining response logging paths to a
      safer logging implementation, ensuring that all untrusted input is
      properly escaped before being written to logs. This update does not
      introduce a new CVE but strengthens the original fix.

    <https://www.djangoproject.com/weblog/2025/jun/10/bugfix-releases/>

 -- Chris Lamb <lamby@debian.org>  Tue, 10 Jun 2025 09:37:03 -0700
