## python-django 4.2.24

=== debian/changelog ===
python-django (3:4.2.24-1) unstable; urgency=high

  * New upstream security release:

    - CVE-2025-57833: Potential SQL injection in FilteredRelation column
      aliases. The FilteredRelation feature in Django was subject to a
      potential SQL injection vulnerability in column aliases that was
      exploitable via suitably crafted dictionary with dictionary expansion as
      the **kwargs passed QuerySet.annotate() or QuerySet.alias().
      (Closes: #1113865)

    <https://www.djangoproject.com/weblog/2025/sep/03/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Wed, 03 Sep 2025 08:28:19 -0700
