## python-django 4.2.25

=== docs/requirements.txt ===
pyenchant
Sphinx>=4.5.0
sphinxcontrib-spelling
black==23.12.1
blacken-docs
