=== debian/changelog ===
python-django (3:4.2.25-2) unstable; urgency=medium

  * Team upload.
  * Skip NOT NULL constraints on PostgreSQL 18+ (closes: #1117647).

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 Oct 2025 10:05:23 +0100

python-django (3:4.2.25-1) unstable; urgency=high

  * New upstream security release (Closes: #1116979):

    - CVE-2025-59681: Potential SQL injection in QuerySet.annotate(), alias(),
      aggregate() and extra() on MySQL and MariaDB.

      QuerySet.annotate(), QuerySet.alias(), QuerySet.aggregate() and
      QuerySet.extra() methods were subject to SQL injection in column aliases,
      using a suitably crafted dictionary with dictionary expansion as the
      **kwargs passed to these methods on MySQL and MariaDB.

    - CVE-2025-59682: Potential partial directory-traversal via
      archive.extract()

      The django.utils.archive.extract() function, used by startapp --template
      and startproject --template allowed partial directory-traversal via an
      archive with file paths sharing a common prefix with the target
      directory.

    <https://www.djangoproject.com/weblog/2025/oct/01/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Wed, 01 Oct 2025 11:17:18 -0700
