=== debian/changelog ===
python-django (3:4.2.26-1) unstable; urgency=high

  * New upstream security release.
    <https://www.djangoproject.com/weblog/2025/nov/05/security-releases/>

    - CVE-2025-64458: Fix a potential denial-of-service vulnerability in
      HttpResponseRedirect and HttpResponsePermanentRedirect. NFKC
      normalization in Python is slow on Windows; as a consequence,
      HttpResponseRedirect, HttpResponsePermanentRedirect and redirect were
      subject to a potential denial-of-service attack via certain inputs with
      a very large number of Unicode characters.

    - CVE-2025-64459: Prevent a potential SQL injection via _connector keyword
      argument in QuerySet/Q objects. The methods QuerySet.filter(),
      QuerySet.exclude(), and QuerySet.get() and the class Q() were subject to
      SQL injection when using a suitably crafted dictionary (with dictionary
      expansion) as the _connector argument.

  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 05 Nov 2025 08:36:26 -0800
