## python-django 4.2.27

=== debian/changelog ===
python-django (3:4.2.27-2) unstable; urgency=medium

  * Team upload.
  * Backport various upstream fixes for newer Python versions (closes:
    #1122185):
    - Fixed tests for test --parallel option on Python 3.14+.
    - Fixed copying BaseContext and its subclasses on Python 3.14+.
    - Fixed OtherModelFormTests.test_prefetch_related_queryset() test on
      Python 3.14+.
    - Adjusted test_strip_tags following Python behavior change for
      incomplete entities.
  * Revert "Mark that Python 3.14 is not supported yet", since it now is.

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Dec 2025 10:23:30 +0000

python-django (3:4.2.27-1) unstable; urgency=medium

  * New upstream security release.
    <https://www.djangoproject.com/weblog/2025/dec/02/security-releases/>

    - CVE-2025-13372: Fix a potential SQL injection attack in FilteredRelation
      column aliases when using PostgreSQL. FilteredRelation was subject to SQL
      injection in column aliases via a suitably crafted dictionary as the
      **kwargs passed to QuerySet.annotate() or QuerySet.alias().

    - CVE-2025-64460: Prevent a potential denial-of-service vulnerability in
      XML serializer text extraction. An algorithmic complexity issue in
      django.core.serializers.xml_serializer.getInnerText() allowed a remote
      attacker to cause a potential denial-of-service triggering CPU and memory
      exhaustion via a specially crafted XML input submitted to a service that
      invokes XML Deserializer. The vulnerability resulted from repeated string
      concatenation while recursively collecting text nodes, which produced
      superlinear computation.

    (Closes: #1121788))

  * Mark that Python 3.14 is not supported yet.

 -- Chris Lamb <lamby@debian.org>  Tue, 02 Dec 2025 11:34:10 -0800
